Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0006549 [JEDI VCL] 00 JVCL Components crash always 2017-03-07 00:26 2017-04-18 18:41
Reporter davedelage View Status public  
Assigned To
Priority normal Resolution open  
Status feedback   Product Version 3.48
Summary 0006549: JvHidDeviceController fails
Description JVCL version actually 3.49 but problem exists in earlier version.
Compiling example SimpleHidWrite using Rad Studio 2010 on Windows 8.1 and it works as advertised. Copy SimpleHidWrite.exe to alternate machine running Windows 8.1 Pro or Windows 10 and executable fails during startup with exception "Device cannot be identified."

Specifically, in the 8.1 Pro machine, EControllerError in module SimpleHidWrite.exe at 000CBA49 Device cannot be identified.

Getting the same problem with my USB/HID code which works in 8.1 but not others. Attempting to trace leads to the idea that the problem is thread related. Compiled file attached.
Additional Information
Tags No tags attached.
Attached Files ? file icon SimpleHIDWrite.exe [^] (1,241,088 bytes) 2017-03-07 00:26

- Relationships

-  Notes
(0021414)
obones (administrator)
2017-03-24 17:37

Please use the latest GIT content, many changes have occurred in this area
(0021416)
davedelage (reporter)
2017-03-25 20:00

Thank you. I downloaded the most recent source (JVCL3-Source-2017-03-25). Since the problem appears in the USB/HID application, I checked hid.pas, hidtoken.pas and hidusage.pas against the 3.49 release using WinMerge. It reports all the new files are identical to their older versions. Could it have been fixed somewhere else?
Dave
(0021423)
davedelage (reporter)
2017-04-18 18:41

I found this info when looking at a separate issue, perhaps it will help someone smarter than me find the problem with the JvHidDeviceController component code.

"FPC [or other language] currently uses 32 bits (4 bytes) for integers, whether the machine is a 32-bit or 64-bit machine. This will cause code expecting an integer and a pointer to be the same size to fail as a 64bit machine uses 64-bit pointers."

- Issue History
Date Modified Username Field Change
2017-03-07 00:26 davedelage New Issue
2017-03-07 00:26 davedelage File Added: SimpleHIDWrite.exe
2017-03-24 17:37 obones Note Added: 0021414
2017-03-24 17:37 obones Status new => feedback
2017-03-25 20:01 davedelage Note Added: 0021416
2017-04-18 18:41 davedelage Note Added: 0021423


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker